## mingw-w64-lokalize-25.08.3-1.src.tar.zst

=== icons/CMakeLists.txt ===
include(ECMInstallIcons)
add_subdirectory(global)
add_subdirectory(sr)
add_subdirectory(sr@ijekavian)
add_subdirectory(sr@ijekavianlatin)
add_subdirectory(sr@latin)

ecm_install_icons(ICONS
    16-actions-approved.png
    16-actions-insert_arg.png
    16-actions-insert_tag.png
    16-actions-msgid2msgstr.png
    16-actions-nexterror.png
    16-actions-nextfuzzy.png
    16-actions-nextfuzzyuntrans.png
    16-actions-nextpo.png
    16-actions-nexttemplate.png
    16-actions-nextuntranslated.png
    16-actions-preverror.png
    16-actions-prevfuzzy.png
    16-actions-prevfuzzyuntrans.png
    16-actions-prevpo.png
    16-actions-prevtemplate.png
    16-actions-prevuntranslated.png
    16-actions-search2msgstr.png
    16-actions-transsearch.png
    22-actions-approved.png
    22-actions-catalogmanager.png
    22-actions-insert_arg.png
    22-actions-insert_tag.png
    22-actions-msgid2msgstr.png
    22-actions-nexterror.png
    22-actions-nextfuzzy.png
    22-actions-nextfuzzyuntrans.png
    22-actions-nextpo.png
    22-actions-nexttemplate.png
    22-actions-nextuntranslated.png
    22-actions-preverror.png
    22-actions-prevfuzzy.png
    22-actions-prevfuzzyuntrans.png
    22-actions-prevpo.png
    22-actions-prevtemplate.png
    22-actions-prevuntranslated.png
    22-actions-search2msgstr.png
    22-actions-transsearch.png
    32-actions-approved.png
    32-actions-catalogmanager.png
    32-actions-diff.png
    32-actions-insert_arg.png
    32-actions-insert_tag.png
    32-actions-msgid2msgstr.png
    32-actions-nexterror.png
    32-actions-nextfuzzy.png
    32-actions-nextfuzzyuntrans.png
    32-actions-nextpo.png
    32-actions-nexttemplate.png
    32-actions-nextuntranslated.png
    32-actions-preverror.png
    32-actions-prevfuzzy.png
    32-actions-prevfuzzyuntrans.png
    32-actions-prevpo.png
    32-actions-prevtemplate.png
    32-actions-prevuntranslated.png
    32-actions-search2msgstr.png
    32-actions-transsearch.png
    48-actions-approved.png
    sc-actions-approved.svgz
    DESTINATION ${KDE_INSTALL_DATADIR}/lokalize/icons
    THEME hicolor
)
ecm_install_icons(ICONS
    16-actions-catalogmanager.png
    16-actions-diff.png
    16-actions-insert_arg.png
    16-actions-insert_tag.png
    16-actions-msgid2msgstr.png
    16-actions-nexterror.png
    16-actions-nextfuzzy.png
    16-actions-nextfuzzyuntrans.png
    16-actions-nextpo.png
    16-actions-nexttemplate.png
    16-actions-nextuntranslated.png
    16-actions-preverror.png
    16-actions-prevfuzzy.png
    16-actions-prevfuzzyuntrans.png
    16-actions-prevpo.png
    16-actions-prevtemplate.png
    16-actions-prevuntranslated.png
    16-actions-search2msgstr.png
    16-actions-transsearch.png
    32-actions-catalogmanager.png
    32-actions-diff.png
    32-actions-insert_arg.png
    32-actions-insert_tag.png
    32-actions-msgid2msgstr.png
    32-actions-nexterror.png
    32-actions-nextfuzzy.png
    32-actions-nextfuzzyuntrans.png
    32-actions-nextpo.png
    32-actions-nexttemplate.png
    32-actions-nextuntranslated.png
    32-actions-preverror.png
    32-actions-prevfuzzy.png
    32-actions-prevfuzzyuntrans.png
    32-actions-prevpo.png
    32-actions-prevtemplate.png
    32-actions-prevuntranslated.png
    32-actions-search2msgstr.png
    32-actions-transsearch.png
    DESTINATION ${KDE_INSTALL_DATADIR}/lokalize/icons
    THEME locolor
)

=== PKGBUILD ===
# Maintainer: Konstantin Podsvirov <konstantin@podsvirov.su>

source "$(dirname ${BASH_SOURCE[0]})"/../mingw-w64-PKGBUILD-common/kde-frameworks
_realname=lokalize
pkgbase="mingw-w64-${_realname}"
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}")
pkgver=25.08.3
pkgrel=1
pkgdesc="Computer-Aided Translation System (mingw-w64)"
arch=('any')
mingw_arch=('ucrt64' 'clang64' 'clangarm64')
msys2_references=(
  'archlinux: lokalize'
)
msys2_repository_url="https://invent.kde.org/sdk/lokalize/"
url="https://apps.kde.org/lokalize/"
license=('spdx:LGPL-2.0-or-later')
depends=(
  "${MINGW_PACKAGE_PREFIX}-cc-libs"
  "${MINGW_PACKAGE_PREFIX}-hunspell"
  "${MINGW_PACKAGE_PREFIX}-kcolorscheme"
  "${MINGW_PACKAGE_PREFIX}-kcompletion"
  "${MINGW_PACKAGE_PREFIX}-kconfig"
  "${MINGW_PACKAGE_PREFIX}-kconfigwidgets"
  "${MINGW_PACKAGE_PREFIX}-kcoreaddons"
  "${MINGW_PACKAGE_PREFIX}-kcrash"
  "${MINGW_PACKAGE_PREFIX}-kdbusaddons"
  "${MINGW_PACKAGE_PREFIX}-ki18n"
  "${MINGW_PACKAGE_PREFIX}-kio"
  "${MINGW_PACKAGE_PREFIX}-kitemviews"
  "${MINGW_PACKAGE_PREFIX}-knotifications"
  "${MINGW_PACKAGE_PREFIX}-ktextwidgets"
  "${MINGW_PACKAGE_PREFIX}-kwidgetsaddons"
  "${MINGW_PACKAGE_PREFIX}-kxmlgui"
  "${MINGW_PACKAGE_PREFIX}-qt6-base"
  "${MINGW_PACKAGE_PREFIX}-sonnet"
)
makedepends=(
  "${MINGW_PACKAGE_PREFIX}-cc"
  "${MINGW_PACKAGE_PREFIX}-cmake"
  "${MINGW_PACKAGE_PREFIX}-extra-cmake-modules"
  "${MINGW_PACKAGE_PREFIX}-gettext-tools"
  "${MINGW_PACKAGE_PREFIX}-icoutils"
  "${MINGW_PACKAGE_PREFIX}-kdoctools"
  "${MINGW_PACKAGE_PREFIX}-ninja"
  "${MINGW_PACKAGE_PREFIX}-qt6-declarative"
  "${MINGW_PACKAGE_PREFIX}-qt6-tools"
)
groups=(
  "${MINGW_PACKAGE_PREFIX}-kde-applications"
  "${MINGW_PACKAGE_PREFIX}-kde-sdk"
)
source=("https://download.kde.org/stable/release-service/${pkgver}/src/${_realname}-${pkgver}.tar.xz"{,.sig}
        '0002-lokalize-22.04.3-fix-cast.patch')
sha256sums=('079e3fcda3a74ef7acb1b3063eeeb10237e736466bd49953762a65d08ef11483'
            'SKIP'
            'd11a8f48dfc0dcd8d85f0b364a917f40d5d7b01bcd74726336c557e6e18339fe')
validpgpkeys=(CA262C6C83DE4D2FB28A332A3A6A4DB839EAA6D7  # Albert Astals Cid <aacid@kde.org>
              F23275E4BF10AFC1DF6914A6DBD2CE893E2D1C87  # Christoph Feck <cfeck@kde.org>
              D81C0CB38EB725EF6691C385BB463350D6EF31EF) # Heiko Becker <heiko.becker@kde.org>

prepare() {
  cd "${srcdir}"/${_realname}-${pkgver}
  patch -p1 -i "${srcdir}"/0002-lokalize-22.04.3-fix-cast.patch
}

build() {
  declare -a _extra_config
  if check_option "debug" "n"; then
    _extra_config+=("-DCMAKE_BUILD_TYPE=Release")
  else
    _extra_config+=("-DCMAKE_BUILD_TYPE=Debug")
  fi

  _kde_build_env
  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
    "${MINGW_PREFIX}"/bin/cmake.exe \
      -GNinja \
      -DCMAKE_INSTALL_PREFIX="${MINGW_PREFIX}" \
      "${_KDE_INSTALL_DIRS[@]}" \
      -DBUILD_TESTING=OFF \
      "${_extra_config[@]}" \
      -S "${_realname}-${pkgver}" \
      -B "build-${MSYSTEM}"

  "${MINGW_PREFIX}"/bin/cmake.exe --build "build-${MSYSTEM}"
}

package() {
  DESTDIR="${pkgdir}" "${MINGW_PREFIX}"/bin/cmake.exe --install "build-${MSYSTEM}"
}
